﻿* { padding:0; margin:0; }

html{
	overflow:hidden;
}

body,input,select,textarea {
    font-family: Arial;
    font-weight: 200;
    font-size:13px;
    overflow: hidden;
}
.pdq-main-content {
    height: 100%;
    margin-bottom:8px;
    margin-right:8px;
}
.pdq-main-content input, .pdq-main-content select, .pdq-main-content textarea {
    border: 1pt solid black !important;    
}
input, button, select, textarea {
    font-size:13px !important;
    font-weight:200;
}
textarea {
    resize: none;
}
div:focus, img:focus, span:focus, ng-md-icon:focus { outline: none !important; }

/*img { width: auto; height: 100%;}*/

.md-toolbar-tools {
    height: 100%;
}
md-toolbar {
    min-height: 0;
}
div.main-container { 
    overflow: auto; 
    height: 100%; 
    /*margin:10px 20px 10px 10px; at east in list it looks better without this*/
}

/*login*/

/*nav*/
.top-nav * { 
    color: #ffffff; 
}
.top-nav {
    height: 78px;
}
.menu-right input { border-radius: 20px; padding: 0 10px; }
.menu-left { height: 24px; }
md-content.top-menu { 
    overflow:hidden;
    background-color: transparent;
    width: 100%;
    height: 38px;
}
.top-menu .top-menu {
    padding-top: 14px !important;
}
.top-menu.breadcrumbs p {
    display: inline-block;
}
.top-menu.breadcrumbs p span {
    border-radius: 10px;
    padding: 0 5px;
}
.top-menu.breadcrumbs p span:first-child {
    cursor: pointer;
}
.top-menu.breadcrumbs p span:first-child:hover {
   color: #FFFFFF !important;
   text-decoration:underline;
}
.logo {
    width: 240px;
    height: 78px;
    background-position: center;
    background-image: url('../img/logo_white.png');
    background-size: 120px;
    background-repeat: no-repeat;
    border-top-left-radius: 100px;
}
md-sidenav{
    width: 240px !important;
}
.menu-context {
    min-width: 150px;
    width: 228px;
    max-width: 250px;
    Zborder: 1px solid #f37b1c;
    border-style:solid;
    border-width:1px;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    margin-top: 6px;
    margin-left:6px;
    Zbackground-color: rgb(225, 230, 213) !important;
    font-size:16px;
    
}
.menu-context .collapsible, .menu-context ul, .menu-context md-toolbar { width: 100%; overflow-x:hidden; }
.menu-context ul  { padding: 0 10px; }
.menu-context md-toolbar { padding: 0 0 0 10px; }
.menu-context md-toolbar ng-md-icon { margin: 0 0 0 50px; }
.menu-context:last-child {
    margin-bottom: 0;
}
.button-container { 
    height: 36px;
    min-height: 36px;
    padding-top: 5px;
    overflow:hidden;
}
div.scroll-x { overflow-x: auto; }
div.scroll-y { overflow-y: auto; }
div.scrollContainer { overflow-x: hidden; overflow-y: auto; padding: 10px 0 0 10px; height: 100%; }

div.collapsible.hdn { height: 0px !important; }
div.collapsible { -webkit-transition: height .5s; /* Safari 3.1 to 6.0 */
    transition: height .5s;
}
div.collapsible-max.hdn { max-height: 0px !important; padding:0; border:0; margin:0; }
div.collapsible-max { -webkit-transition: max-height .5s; /* Safari 3.1 to 6.0 */
    transition: max-height .5s;
    max-height: 500px;
    overflow-x: hidden;
    overflow-y: auto;
}

div.newstate {
    height: 30px;
    width: 100%;
    text-align: center;
    -webkit-transition: height 1s; /* Safari 3.1 to 6.0 */
    transition: height 1s;
    overflow-y: hidden;
}
.newstate-arrow { 
    border-radius: 0px 0px 25px 25px; 
    left: 0px;
    position: relative;
}
ul.savedstate-list {
    padding-top: 2px;
    /*text-align: right;*/
}
p.savedstate-noresults {
    padding-top: 2px;
}
ul.savedstate-list label {
    position: absolute;
    left: 17px;
}
/*footer*/
.button.footer-button {
 margin: 10px;
 border:1px solid #828282; -webkit-border-radius: 3px; -moz-border-radius: 3px;border-radius: 3px; font-size:18px;
 padding: 10px 10px 10px 10px; text-decoration:none; display:inline-block;text-shadow: -1px -1px 0 rgba(0,0,0,0.3);
 font-weight:bold; color: #FFFFFF;
 background-color: #9E9E9E; background-image: -webkit-gradient(linear, left top, left bottom, from(#9E9E9E), to(#616161));
 background-image: -webkit-linear-gradient(top, #9E9E9E, #616161);
 background-image: -moz-linear-gradient(top, #9E9E9E, #616161);
 background-image: -ms-linear-gradient(top, #9E9E9E, #616161);
 background-image: -o-linear-gradient(top, #9E9E9E, #616161);
 background-image: linear-gradient(to bottom, #9E9E9E, #616161);filter:progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr=#9E9E9E, endColorstr=#616161);
}

.button.footer-button:hover{
 border:1px solid #6b6b6b;
 background-color: #6CA5D7; background-image: -webkit-gradient(linear, left top, left bottom, from(#6CA5D7), to(#6CA5D7));
 background-image: -webkit-linear-gradient(top, #6CA5D7, #6CA5D7);
 background-image: -moz-linear-gradient(top, #6CA5D7, #6CA5D7);
 background-image: -ms-linear-gradient(top, #6CA5D7, #6CA5D7);
 background-image: -o-linear-gradient(top, #6CA5D7, #6CA5D7);
 background-image: linear-gradient(to bottom, #6CA5D7, #6CA5D7);filter:progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr=#6CA5D7, endColorstr=#6CA5D7);
}    
/*masterDatad*/
.masterDatad {
    width: 50%;
    height: 50%;
}

.masterDatad-results {
    font-size: 80%;
    white-space: nowrap;
}

.masterDatad-results table { 
    width: 100%;
}

.masterDatad-results-label {
    font-weight: bold;
}
.masterDatad-results-label {

}
/*upload*/
.filed {
    width: 550px;
    height: 200px;
}
/*search*/
.searchd {
    width: 80%;
    height: 80%;
}

.searchd-results {
    font-size: 80%;
    white-space: nowrap;
}

.searchd-results table { 
    width: 100%;
}

.searchd-results-label {
    font-weight: bold;
}
.searchd-results-label {

}
.searchd-results-value > *{
	color:#6a6a6a;
	font-weight:700;
	background-color:#FFDA21;
}

/* below is quick and dirty - will refactor later*/
.form-group {

    width:425px;
    border:1px solid lightgray;
    padding:16px;
    margin:4px;
    border-radius:15px;
}

.pdq-rounded-box{
    border-width:1px;
    border-style: solid;
    padding:12px;
    margin:4px;
    background-color:#fffff6;
}

.tight-input-small-narrow {
    padding:1px;
    margin:1px;
    height:20px;
    width:50px;
}

.tight-input-narrow{
    padding:1px;
    margin:1px;
    height:20px;
    width:100px;
}
.tight-input-med-narrow{
    padding:1px;
    margin:1px;
    height:20px;
    width:120px;
}
.tight-input-wide{
    padding:1px;
    margin:1px;
    height:20px;
    width:240px;
}
.contact-info-truncated:nth-child(3) {
    margin-top: 2px;
}
.contact-info-truncated {
    height:18px;
    width:180px;
    white-space:nowrap;
    overflow:hidden;
}
.contact-info-truncated label,
.contact-info-truncated ng-md-icon {
    font-weight: bold;
    color:rgba(0,0,0,.5);
}
input[type=date]::-webkit-inner-spin-button,
input[type=date]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}
/* maddening md-autocomplete*/
md-autocomplete{
    height:24px !important;
    min-width:70px !important;
    width:100% !important;
    display: inline-block;
}
md-autocomplete-wrap{
    height:23px !important;
}
md-autocomplete input{
    padding:0px !important;
    margin:0px !important;
    height:26px !important;
    width:100% !important;
    line-height:26px !important;
    border:1pt solid black !important;
    background-color: white !important;
    font-weight:100 !important;
    color: black !important;
}
.md-autocomplete-suggestions li {
    line-height: normal !important;
}
.md-autocomplete-suggestions li .highlight{
    background-color: yellow;
}
md-virtual-repeat-container{
    min-width:400px !important;
}
md-content{
    padding:0px !important;
    overflow:hidden;
}
md-content.md-FATheme-theme{
    background-color:none !important;
}
.md-whiteframe-1dp, .md-whiteframe-z1{
    box-shadow:none;
}
md-autocomplete button{
    display:none !important;
}
/*maddening md-datepicker: */
.md-datepicker,.md-datepicker-input {
    width: 100% !important;
    min-width: 100px !important;
    color: black !important;
}
.gridTable .md-datepicker-input {
    text-align: right !important;
    padding-right: 20px !important;
}
.md-FATheme-theme .md-datepicker-triangle-button .md-datepicker-expand-triangle {
    border-top-color: rgb(0,0,0) !important;
}
.md-datepicker-input-mask,
.md-datepicker-input,
md-input-container .md-input{
    height:26px !important;
}
/*narrow md-datepicker*/
md-datepicker.narrow-date{
    position:relative;
    left:-20px !important;
}
md-datepicker.narrow-date div.md-datepicker-input-container{
    width:100px !important;
}
md-datepicker.narrow-date input.md-datepicker-input{
    padding-right: 14px !important;
    margin-left: 0px !important;
}

/*inputs not embedded in angular materials*/
input{
    height:25px !important;
}
input[type='checkbox']{
    height:20px !important;
    width:20px !important;
}
.md-datepicker-input-container {
    border:none !important;
    margin-left: 0px !important;  
    padding:0px !important;
}
.md-datepicker-button {
    display: none !important;   
}
.md-datepicker-expand-triangle {
    /*gets the triangle to look like select triangles*/
    top: 50% !important;
    left: 35% !important;
    -webkit-transform: none !important;
    transform: none !important;
    border-left: 3px solid transparent !important;
    border-right: 3px solid transparent !important;
    border-top: 7px solid !important;
}

.oppedit-textarea{
    height:40px;
    overflow-y:scroll !important;
    width:100%;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    text-indent: 2px;
}

.md-select-placeholder{
    color:black !important;
}

md-sidenav ul li{
    cursor:pointer;
    margin-bottom:5px;
    margin-top:5px;
    font-size: 80%;
    white-space: nowrap;
    text-overflow:ellipsis
}
md-sidenav ul li:hover,
md-sidenav ul li a:hover {
    text-decoration:underline;
}
md-sidenav table.qdef{
    font-size: 80%;
    white-space: nowrap;
    text-overflow:ellipsis;
    margin-left:10px;
    font-style:italic;
}

ng-md-icon{
    cursor:pointer;
}

.pointer-cursor{
	cursor:pointer;
}

/*errors and warnings*/
ng-md-icon.icn_msg{
    width: 18px !important;
    height: 18px !important;
    margin-top: -6px;
}
ng-md-icon.icn_msg-xsmall{
    width: 12px !important;
    height: 12px !important;
    margin-top: -10px;
}
.gridTable-body ng-md-icon.icn_msg {
    margin-top: 0px;
    position: absolute;
    z-index: 100;
}
.gridTable-body ng-md-icon.icn_msg.icn_msg-info {
    z-index: 99;
}
.icn_msg-info { color: #2175AD; }
.icn_msg-warn { color: #FFD501; }
.icn_msg-error { color: red; }

.pdq-input-row{
    /*position:relative; doesnt work with tooltip, disabling for now, keep a look out for side effects*/
    min-height:54px;
    border-width: 2px 6px 2px 2px;
    border-style:solid;
    border-radius: 4px 4px;
    border-color: transparent;
}
.exception_row
{
    background-color: red;
    color:White;
}
.exception_row INPUT
,.exception_row SELECT
,.exception_row TEXTAREA
{
    background-color:White !important;
    color:black !important;
}

.msg-resolver{
    color: rgb(0,0,238);
    text-decoration:underline;
    cursor:pointer;
}

.md-errors-spacer{
    display: none !important;
}
.pdq-input-error{
    font-size: 12px;
    line-height: 14px;
    Zoverflow: hidden;
    Ztransition: all .3s cubic-bezier(.55,0,.55,.2);
    opacity: 1;
    margin-top: 0px;
    padding-top: 5px;
    color: #ef3232;
    position:absolute;
    top:0px;
    left:166px;
    zwidth:500px;
    z-index:10;
    zbackground-color:white;
    zcolor:white;
}
.pdq-input-error .ng-scope{
    float:right;
}
.pdq-input-error .pdq-input-warn{
    color: rgb(197,197,98);
}

/*Messages Tooltip*/
table.tooltip
{
    position:absolute;
    float:left;
    z-index:10;
    display:none;
    
    /*IE shadows work better here*/
    z-ms-filter:"progid:DXImageTransform.Microsoft.Shadow(Strength=5, Direction=135, Color=#666666)";
    filter:progid:DXImageTransform.Microsoft.Shadow(Strength=5, Direction=135, Color=#666666);

	border: 2px solid #000000;
    min-height:100px;
    vertical-align:top;
    background-color:rgba(255, 255, 255, 1);
    border-radius: 10px;

    /*chrome/firefox shadows work better here*/
    -moz-box-shadow: -3px 3px 5px #666;
    -webkit-box-shadow:- 3px 3px 5px #666;
    box-shadow: -3px 3px 5px #666;

    padding-bottom: 5px;
}
.arrow_box:after, .arrow_box:before {
	left: 100%;
	top: 50%;
	border: solid transparent;
	content: " ";
	height: 0;
	width: 0;
	position: absolute;
	pointer-events: none;
    z-index: 1001;
}
.arrow_box:after {
	border-color: rgba(0, 0, 0, 0);
	border-left-color: #FFFFFF;
	border-width: 15px;
	margin-top: -15px;
}
.arrow_box:before {
	border-color: rgba(255, 255, 255, 0);
	border-left-color: #000000;
	border-width: 16px;
	margin-top: -16px;
}

table.tooltip.arrow_box_left
{
    z-ms-filter:"progid:DXImageTransform.Microsoft.Shadow(Strength=5, Direction=135, Color=#666666)";
    filter:progid:DXImageTransform.Microsoft.Shadow(Strength=5, Direction=135, Color=#666666);
    -moz-box-shadow: 3px -3px 5px #666;
    -webkit-box-shadow: 3px -3px 5px #666;
    box-shadow: 3px -3px 5px #666;
}
.arrow_box_left:after, .arrow_box_left:before {
	right: 100%;
	top: 50%;
	border: solid transparent;
	content: " ";
	height: 0;
	width: 0;
	position: absolute;
	pointer-events: none;
    z-index: 1001;
}
.arrow_box_left:after {
	border-color: rgba(0, 0, 0, 0);
	border-right-color: #FFFFFF;
	border-width: 15px;
	margin-top: -15px;
}
.arrow_box_left:before {
	border-color: rgba(255, 255, 255, 0);
	border-right-color: #000000;
	border-width: 16px;
	margin-top: -16px;
}

td.tooltipmsgs_left /*alternate right side tooltip - unused but kept here incase we have to switch*/
{
    width:231px;
    height:100px;
    vertical-align:top;
    background-color:#fff;
    
    border-left:none !important;
    border-top:1pt solid #333;
    border-right:1pt solid #333;
    border-bottom:1pt solid #333;

    border-radius: 0px 10px 10px 0px;
    background-color:#fff;    

    overflow-x:hidden;
    
    /*chrome/firefox shadows work better here*/
    -moz-box-shadow: 3px 3px 5px #666;
    -webkit-box-shadow: 3px 3px 5px #666;
    box-shadow: 3px 3px 5px #666;
}
table.tooltip div.exceptions
,table.tooltip div.errors
,table.tooltip div.warnings
,table.tooltip div.changereqs
{
    display:none;
    width:230px;
}
table.tooltip div.header
{
    height: 20px;
    width: 199px;
    font-weight: bold;
    vertical-align: middle;
    padding: 8px 16px;
    border-radius: 10px 10px 0 0;
}
table.tooltip div.msg
{
    margin:8px;
    color:#000000 !important;
    font-weight:normal !important;
    border-top: 1px dashed #666;
    padding-top:4px;
}
table.tooltip div.exceptions div.header
{
    background: red url(../../content/img/exception.png) no-repeat 2px 4px;
    color:White;
}
table.tooltip div.errors div.header
{
    background: red url(../../content/img/error.png) no-repeat 2px 11px;
    color:White;
}
table.tooltip div.warnings div.header
{
    background: #FFD501 url(../../content/img/warning.png) no-repeat 2px 10px;
    color:black;
}
table.tooltip div.changereqs div.header
{
    background: #2175AD url(../../content/img/changereq.jpg) no-repeat 2px 10px;
    color:white;
}


.pdqd-history { width: 80%; height: 90%; }
.pdqd-history form { width: 100%; height: 100%; }
#pdqOppHistory table { width: 99%; }
#pdqOppHistory table thead tr:first-child th { text-align: left; padding-left: 10px; }

.pdqd-about { width: 1024px; height: 90%; }

/***************************message********************************/
.msg_icon {
    position: relative;
}
.msg_count {
    visibility: hidden;
    background-color: #fa3e3e;
    border-radius: 6px;
    color: white;
    padding: 1px 3px;
    font-size: 11px;
    position: absolute; 
    top: -6px;
    right: -3px;
}
.newMessages .msg_count { visibility: visible;}

.message-div, .menu-div {
    position: absolute;
    z-index: 25;
    background-color: #FFFFFF;
    border: 0;
    border: 1px solid black;
    overflow-x: hidden;

    width: 400px;
    cursor: pointer;

    z-ms-filter:"progid:DXImageTransform.Microsoft.Shadow(Strength=5, Direction=135, Color=#666666)";
    filter:progid:DXImageTransform.Microsoft.Shadow(Strength=5, Direction=135, Color=#666666);

    -moz-box-shadow: 3px 3px 5px #666;
    -webkit-box-shadow: 3px 3px 5px #666;
    box-shadow: 3px 3px 5px #666;
}

div.menu-div { width: 200px; font-size: 12px; }
div.menu-div p { padding: 5px 10px; }
div.menu-div input { border-radius: 10px; width: 145px; }

div.message-div.collapsible-max { max-height: 400px; }

.message-div ul { height: 100%; padding: 0 0px; overflow: hidden; list-style: none; margin: 0 0px; }
.message-div ul li { padding: 10px; }
.message-div ul li:first-child { margin-top: 0px; }
.message-div ul li:last-child { margin-bottom: 0px; }
div.message-div div.message-div-left { font-size: 66%; padding: 0; }
div.message-div li ng-md-icon {
    width: 13px;
    height: 13px;
}
div.message-div div{
    cursor: default;
    padding: 10px;
    text-align: right;
}
div.message-div *, div.menu-div * {
    color: #333333 !important;
}
div.message-div .notif-star {
    position: relative;
    top: 3px;
    font-size: 20px;
    color: #ccc !important;
    cursor: pointer;
}
div.message-div .notif-star.flagged {
    color: #FFD501 !important;
}
.message-div ul li.unassigned {
    font-weight: 600;
}
.message-div ul li.unseen {
    border-left: 2px solid red;
    border-radius: 10px;
}


@media screen and (-webkit-min-device-pixel-ratio:0) {
}
@media all and (max-height: 900px){
    .searchd {
        width: 90%;
        height: 90%;
    }
}

@media all and (max-height: 600px){
    .searchd {
        width: 100%;
        height: 100%;
    }
}

@media all and (max-height: 400px){
}
@media all and (max-width: 480px) {

}

@media all and (max-width: 680px) {
}

@media all and (max-width: 1024px) {
}

@media all and (max-width: 1200px) {
}
@media screen{
}

/* Chrome 29+ */
@media screen and (-webkit-min-device-pixel-ratio:0)
  and (min-resolution:.001dpcm) {
    md-content.ng-scope { overflow: auto; }
}

/* Chrome 22-28 */
@media screen and(-webkit-min-device-pixel-ratio:0) {
  md-content.ng-scope {-chrome-:only(; 
     overflow: auto;
  );} 
}
/**************edit columns dialog************/
md-dialog.editColsDiag {
    position: absolute;
    left: 0px;
    top: 100px;
}
md-dialog.editColsDiag md-toolbar-tools md-button {
    margin-right: -16px;
}
.md-dialog-content .editColsDiag-col {
    display: inline;
    white-space: nowrap;
    width: 150px;
}
.editColsDiag-col span.md-title {
    text-align: right;
}
.editColsDiag-col md-checkbox {
    float: left;
}
md-dialog.editColsDiag md-dialog-actions md-button {
    min-width: 48px;
    margin-right: 5px;
}


.md-toolbar-tools .md-icon-button.dialog-cancel { margin-right: -15px; }

/**************data file transfers dialog************/
div.filtering div { margin-left: 10px; }
div.filtering h4 { margin-bottom: 5px; }
div.filtering label { margin-left: 20px; display: inline-block; margin-bottom: 5px;   display: inline-block; padding-left: 15px; text-indent: -15px; }
div.filtering input { width: 13px; height: 13px !important; padding: 0; margin:0; vertical-align: bottom; position: relative; *overflow: hidden; }
.file-success div.lnkfile { padding-left: 25px; }
.file-failed div.lnkfile a { color: red; }
